Name:           libiodbc
Version:        3.52.15
Release:        %mkrel 1
Summary:        The iODBC Driver Manager
Group:          System/Libraries
License:        BSD
URL:            http://www.iodbc.org/
Source:         https://github.com/openlink/iODBC/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(gtk+-2.0)

%description
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

#---------------------------------------------------------------

%define soname 2
%define libname %mklibname iodbc %{soname}

%package -n %{libname}
Summary:        The iODBC Driver Manager main library
Group:          System/Libraries

%description -n %{libname}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libname}
%{_libdir}/libiodbc.so.%{soname}{,.*}

#---------------------------------------------------------------

%define instsoname 2
%define libnameinst %mklibname iodbcinst %{instsoname}

%package -n %{libnameinst}
Summary:        The iODBC Driver Manager main library
Group:          System/Libraries

%description -n %{libnameinst}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libnameinst}
%{_libdir}/libiodbcinst.so.%{instsoname}{,.*}

#---------------------------------------------------------------

%package util
Summary:        The iODBC Driver Manager common binary files
Group:          System/Libraries

%description util
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files util
%{_bindir}/iodbctest
%{_bindir}/iodbctestw
%{_mandir}/man1/iodbctest.1*
%{_mandir}/man1/iodbctestw.1*

#---------------------------------------------------------------

%define drvproxysoname 2
%define libnamedrvproxy %mklibname drvproxy %{drvproxysoname}

%package -n %{libnamedrvproxy}
Summary:        The iODBC Driver Manager main library
Group:          System/Libraries

%description -n %{libnamedrvproxy}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libnamedrvproxy}
%{_libdir}/libdrvproxy.so.%{drvproxysoname}{,.*}

#---------------------------------------------------------------

%define admsoname 2
%define libnameadm %mklibname iodbcadm %{admsoname}

%package -n %{libnameadm}
Summary:        The iODBC Driver Manager main library
Group:          System/Libraries

%description -n %{libnameadm}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libnameadm}
%{_libdir}/libiodbcadm.so.%{admsoname}{,.*}

#---------------------------------------------------------------

%package admin
Summary:        GTK based administrator for iODBC development
Group:          System/Libraries

%description admin
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

This package contains a GTK based administrator program for maintaining
DSN information in odbc.ini and odbcinst.ini files.

%files admin
%{_bindir}/iodbcadm-gtk
%{_mandir}/man1/iodbcadm-gtk.1*

#---------------------------------------------------------------

%define libdev %mklibname iodbc -d

%package -n %{libdev}
Summary:        header files and libraries for iODBC development
Group:          Development/Databases
Provides:       iodbc-devel = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libnameinst} = %{version}-%{release}
Requires:       %{name}-util = %{version}-%{release}
Requires:       %{libnamedrvproxy} = %{version}-%{release}
Requires:       %{libnameadm} = %{version}-%{release}
Requires:       unixODBC-devel

%description -n %{libdev}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

This package contains the header files and libraries needed to develop
program that use the driver manager.

%files -n %{libdev}
%doc AUTHORS
%doc LICENSE
%doc LICENSE.LGPL
%doc LICENSE.BSD
%doc ChangeLog
%doc NEWS
%doc README
%doc README_GIT
%doc etc/odbc.ini.sample
%doc etc/odbcinst.ini.sample
%{_includedir}/*
%{_libdir}/*.so
%{_bindir}/iodbc-config
%{_libdir}/pkgconfig/libiodbc.pc
%{_mandir}/man1/iodbc-config.1*
%{_datadir}/libiodbc
%multiarch %{_bindir}/%{multiarch_platform}/iodbc-config

#---------------------------------------------------------------

%prep
%setup -q -n iODBC-%{version}

%build
./autogen.sh
%configure \
	--enable-odbc3 \
	--disable-libodbc \
	--enable-gui \
	--disable-static \
	--with-iodbc-inidir=%{_sysconfdir} \
	--includedir=%{_includedir}/iodbc \
	--enable-pthreads

# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

# we don't want this
find %{buildroot} -name '*.la' -delete

# Multiarch fixes
%multiarch_binaries %{buildroot}/%{_bindir}/iodbc-config


%changelog
* Sun Oct 09 2022 neoclust <neoclust> 3.52.15-1.mga9
+ Revision: 1896027
- New version 3.52.15

* Sat Mar 26 2022 umeabot <umeabot> 3.52.14-2.mga9
+ Revision: 1828393
- Mageia 9 Mass Rebuild

* Wed Mar 10 2021 daviddavid <daviddavid> 3.52.14-1.mga9
+ Revision: 1701161
- new version: 3.52.14
- drop .la files

* Thu Dec 03 2020 luigiwalser <luigiwalser> 3.52.13-1.mga8
+ Revision: 1652012
- 3.52.13
- update source URL
- add patch from fedora to fix configure

* Thu Feb 13 2020 umeabot <umeabot> 3.52.12-3.mga8
+ Revision: 1514218
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.52.12-2.mga7
+ Revision: 1298924
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Aug 11 2016 luigiwalser <luigiwalser> 3.52.12-1.mga6
+ Revision: 1045558
- 3.52.12

* Thu Dec 24 2015 luigiwalser <luigiwalser> 3.52.10-1.mga6
+ Revision: 914458
- 3.52.10
- fix source URL
- re-enable parallel make (fixed upstream)

* Wed Oct 15 2014 umeabot <umeabot> 3.52.8-9.mga5
+ Revision: 745062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.52.8-8.mga5
+ Revision: 681539
- Mageia 5 Mass Rebuild

* Mon Dec 23 2013 oden <oden> 3.52.8-7.mga4
+ Revision: 560107
- nuke rpath from binaries

* Sat Oct 19 2013 umeabot <umeabot> 3.52.8-6.mga4
+ Revision: 533446
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 tv <tv> 3.52.8-5.mga4
+ Revision: 473305
- %%description is neither AUTHORS nor LICENSE file

* Fri Aug 30 2013 dlucio <dlucio> 3.52.8-4.mga4
+ Revision: 473254
- Fix group for admin subpackage
- gtk enabled

* Sat Jan 12 2013 umeabot <umeabot> 3.52.8-2.mga3
+ Revision: 357532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 luigiwalser <luigiwalser> 3.52.8-1.mga3
+ Revision: 280992
- 3.52.8

* Sat Jan 15 2011 mikala <mikala> 3.52.7-2.mga1
+ Revision: 18359
- imported package libiodbc


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 3.52.7-2mdv2011.0
+ Revision: 602562
- rebuild

* Fri Jan 15 2010 Emmanuel Andry <eandry@mandriva.org> 3.52.7-1mdv2010.1
+ Revision: 491779
- New version 3.52.7

* Fri Jul 17 2009 Helio Chissini de Castro <helio@mandriva.com> 3.52.6-4mdv2010.0
+ Revision: 396896
- We do not need unixODBC to compile

* Fri Jun 19 2009 Helio Chissini de Castro <helio@mandriva.com> 3.52.6-3mdv2010.0
+ Revision: 387368
- Rebuild to regenerate hdlists for missing packages

* Fri Jun 19 2009 Helio Chissini de Castro <helio@mandriva.com> 3.52.6-2mdv2010.0
+ Revision: 387361
- Header installed in includedir/iodbc and not conflicting anymore with unixODBC

* Thu Jun 18 2009 Helio Chissini de Castro <helio@mandriva.com> 3.52.6-1mdv2010.0
+ Revision: 387145
- Add iODBC package required by virtuoso. This will enable fix virtuoso use of internl unixODBC and iODBC
- imported package libiodbc


